USE [COWS]
GO

SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

--DROP TABLE [dbo].[CPT_PRIM_SITE]
--GO
--DROP TABLE [dbo].[CPT_PRVSN]
--GO
--DROP TABLE [dbo].[CPT_HIST]
--GO
--DROP TABLE [dbo].[CPT_DOC]
--GO
--DROP TABLE [dbo].[CPT_SCNDY_TPRT]
--GO
--DROP TABLE [dbo].[CPT_UCaaS_PROD]
--GO
--DROP TABLE [dbo].[CPT_SRVC_TIER]
--GO
--DROP TABLE [dbo].[CPT_SRVC_TYPE]
--GO
--DROP TABLE [dbo].[CPT_SUPRT_TIER]
--GO
--DROP TABLE [dbo].[CPT_MNGD_SRVC]
--GO
--DROP TABLE [dbo].[CPT_PRIM_WAN]
--GO
--DROP TABLE [dbo].[CPT_RLTD_INFO]
--GO
--DROP TABLE [dbo].[CPT]
--GO
--DROP TABLE [dbo].[LK_CPT_CUST_TYPE]
--GO
--DROP TABLE [dbo].[LK_CPT_PLN_SRVC_TIER]
--GO
--DROP TABLE [dbo].[LK_CPT_PLN_SRVC_TYPE]
--GO
--DROP TABLE [dbo].[LK_CPT_MDS_SUPRT_TIER]
--GO
--DROP TABLE [dbo].[LK_CPT_HST_MNGD_SRVC]
--GO
--DROP TABLE [dbo].[LK_CPT_PRIM_SCNDY_TPRT]
--GO
--DROP TABLE [dbo].[LK_CPT_PRVSN_TYPE]
--GO
--DROP TABLE [dbo].[LK_CPT_UCaaS_PROD_TYPE]
--GO
--DROP TABLE [dbo].[LK_CPT_PRIM_SITE]
--GO
--DROP TABLE [dbo].[LK_CPT_MNGD_AUTH_PRD]
--GO


-- Table LK_CPT_PRIM_SITE to store the lookup data for primsite dropdown under CPT form in COWS UI
CREATE TABLE [dbo].[LK_CPT_PRIM_SITE]
( 
	[CPT_PRIM_SITE_ID]      smallint  		NOT NULL ,
	[CPT_PRIM_SITE]         varchar(100)  	NOT NULL ,
	[REC_STUS_ID] 			tinyint 		NOT NULL CONSTRAINT [DF_RECSTUSID_LK_CPT_PRIM_SITE_1] DEFAULT ((1)),
	[CREAT_BY_USER_ID] [int] NOT NULL,
	[MODFD_BY_USER_ID] [int] NULL,
	[CREAT_DT]          smalldatetime  	NOT NULL CONSTRAINT [DF_getdate_LK_CPT_PRIM_SITE_1] DEFAULT  getdate(),
	[MODFD_DT]			smalldatetime 	NULL,
	CONSTRAINT [PK_LK_CPT_PRIM_SITE] PRIMARY KEY  CLUSTERED ([CPT_PRIM_SITE_ID] ASC)
	WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY],
	CONSTRAINT [UX01_LK_CPT_PRIM_SITE] UNIQUE NONCLUSTERED ([CPT_PRIM_SITE] ASC)
	WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

go

ALTER TABLE [dbo].[LK_CPT_PRIM_SITE]  WITH NOCHECK ADD  CONSTRAINT [FK01_LK_CPT_PRIM_SITE] FOREIGN KEY([REC_STUS_ID])
REFERENCES [dbo].[LK_REC_STUS] ([REC_STUS_ID])
GO

ALTER TABLE [dbo].[LK_CPT_PRIM_SITE] CHECK CONSTRAINT [FK01_LK_CPT_PRIM_SITE]
GO

ALTER TABLE [dbo].[LK_CPT_PRIM_SITE]  WITH NOCHECK ADD  CONSTRAINT [FK02_LK_CPT_PRIM_SITE] FOREIGN KEY([MODFD_BY_USER_ID])
REFERENCES [dbo].[LK_USER] ([USER_ID])
GO

ALTER TABLE [dbo].[LK_CPT_PRIM_SITE] CHECK CONSTRAINT [FK02_LK_CPT_PRIM_SITE]
GO

ALTER TABLE [dbo].[LK_CPT_PRIM_SITE]  WITH NOCHECK ADD  CONSTRAINT [FK03_LK_CPT_PRIM_SITE] FOREIGN KEY([CREAT_BY_USER_ID])
REFERENCES [dbo].[LK_USER] ([USER_ID])
GO

ALTER TABLE [dbo].[LK_CPT_PRIM_SITE] CHECK CONSTRAINT [FK03_LK_CPT_PRIM_SITE]
GO

-- Table LK_CPT_PRVSN_TYPE to store the lookup data for Customer provisioning types under CPT form in COWS UI
CREATE TABLE [dbo].[LK_CPT_PRVSN_TYPE]
( 
	[CPT_PRVSN_TYPE_ID]      smallint  		NOT NULL ,
	[CPT_PRVSN_TYPE]         varchar(100)  	NOT NULL ,
	[REC_STUS_ID] 			tinyint 		NOT NULL CONSTRAINT [DF_RECSTUSID_LK_CPT_PRVSN_TYPE_1] DEFAULT ((1)),
	[CREAT_BY_USER_ID] [int] NOT NULL,
	[MODFD_BY_USER_ID] [int] NULL,
	[CREAT_DT]          smalldatetime  	NOT NULL CONSTRAINT [DF_getdate_LK_CPT_PRVSN_TYPE_1] DEFAULT  getdate(),
	[MODFD_DT]			smalldatetime 	NULL,
	CONSTRAINT [PK_LK_CPT_PRVSN_TYPE] PRIMARY KEY  CLUSTERED ([CPT_PRVSN_TYPE_ID] ASC)
	WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY],
	CONSTRAINT [UX01_LK_CPT_PRVSN_TYPE] UNIQUE NONCLUSTERED ([CPT_PRVSN_TYPE] ASC)
	WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

go

ALTER TABLE [dbo].[LK_CPT_PRVSN_TYPE]  WITH NOCHECK ADD  CONSTRAINT [FK01_LK_CPT_PRVSN_TYPE] FOREIGN KEY([REC_STUS_ID])
REFERENCES [dbo].[LK_REC_STUS] ([REC_STUS_ID])
GO

ALTER TABLE [dbo].[LK_CPT_PRVSN_TYPE] CHECK CONSTRAINT [FK01_LK_CPT_PRVSN_TYPE]
GO

ALTER TABLE [dbo].[LK_CPT_PRVSN_TYPE]  WITH NOCHECK ADD  CONSTRAINT [FK02_LK_CPT_PRVSN_TYPE] FOREIGN KEY([MODFD_BY_USER_ID])
REFERENCES [dbo].[LK_USER] ([USER_ID])
GO

ALTER TABLE [dbo].[LK_CPT_PRVSN_TYPE] CHECK CONSTRAINT [FK02_LK_CPT_PRVSN_TYPE]
GO

ALTER TABLE [dbo].[LK_CPT_PRVSN_TYPE]  WITH NOCHECK ADD  CONSTRAINT [FK03_LK_CPT_PRVSN_TYPE] FOREIGN KEY([CREAT_BY_USER_ID])
REFERENCES [dbo].[LK_USER] ([USER_ID])
GO

ALTER TABLE [dbo].[LK_CPT_PRVSN_TYPE] CHECK CONSTRAINT [FK03_LK_CPT_PRVSN_TYPE]
GO

-- Table LK_CPT_CUST_TYPE to store the lookup data for Customer Types Section under CPT form in COWS UI
CREATE TABLE [dbo].[LK_CPT_CUST_TYPE]
( 
	[CPT_CUST_TYPE_ID]      smallint  		NOT NULL ,
	[CPT_CUST_TYPE]         varchar(100)  	NOT NULL ,
	[REC_STUS_ID] 			tinyint 		NOT NULL CONSTRAINT [DF_RECSTUSID_LK_CPT_CUST_TYPE_1] DEFAULT ((1)),
	[CREAT_BY_USER_ID] [int] NOT NULL,
	[MODFD_BY_USER_ID] [int] NULL,
	[CREAT_DT]          smalldatetime  	NOT NULL CONSTRAINT [DF_getdate_LK_CPT_CUST_TYPE_1] DEFAULT  getdate(),
	[MODFD_DT]			smalldatetime 	NULL,
	CONSTRAINT [PK_LK_CPT_CUST_TYPE] PRIMARY KEY  CLUSTERED ([CPT_CUST_TYPE_ID] ASC)
	WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY],
	CONSTRAINT [UX01_LK_CPT_CUST_TYPE] UNIQUE NONCLUSTERED ([CPT_CUST_TYPE] ASC)
	WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

go

ALTER TABLE [dbo].[LK_CPT_CUST_TYPE]  WITH NOCHECK ADD  CONSTRAINT [FK01_LK_CPT_CUST_TYPE] FOREIGN KEY([REC_STUS_ID])
REFERENCES [dbo].[LK_REC_STUS] ([REC_STUS_ID])
GO

ALTER TABLE [dbo].[LK_CPT_CUST_TYPE] CHECK CONSTRAINT [FK01_LK_CPT_CUST_TYPE]
GO

ALTER TABLE [dbo].[LK_CPT_CUST_TYPE]  WITH NOCHECK ADD  CONSTRAINT [FK02_LK_CPT_CUST_TYPE] FOREIGN KEY([MODFD_BY_USER_ID])
REFERENCES [dbo].[LK_USER] ([USER_ID])
GO

ALTER TABLE [dbo].[LK_CPT_CUST_TYPE] CHECK CONSTRAINT [FK02_LK_CPT_CUST_TYPE]
GO

ALTER TABLE [dbo].[LK_CPT_CUST_TYPE]  WITH NOCHECK ADD  CONSTRAINT [FK03_LK_CPT_CUST_TYPE] FOREIGN KEY([CREAT_BY_USER_ID])
REFERENCES [dbo].[LK_USER] ([USER_ID])
GO

ALTER TABLE [dbo].[LK_CPT_CUST_TYPE] CHECK CONSTRAINT [FK03_LK_CPT_CUST_TYPE]
GO

-- Table LK_CPT_PLN_SRVC_TIER to store the lookup data for Planned Service Tier Section under CPT form in COWS UI
CREATE TABLE [dbo].[LK_CPT_PLN_SRVC_TIER]
( 
	[CPT_PLN_SRVC_TIER_ID]      smallint  		NOT NULL ,
	[CPT_PLN_SRVC_TIER]         varchar(100)  	NOT NULL ,
	[REC_STUS_ID] 			tinyint 		NOT NULL CONSTRAINT [DF_RECSTUSID_LK_CPT_PLN_SRVC_TIER_1] DEFAULT ((1)),
	[CREAT_BY_USER_ID] [int] NOT NULL,
	[MODFD_BY_USER_ID] [int] NULL,
	[CREAT_DT]          smalldatetime  	NOT NULL CONSTRAINT [DF_getdate_LK_CPT_PLN_SRVC_TIER_1] DEFAULT  getdate(),
	[MODFD_DT]			smalldatetime 	NULL,
	CONSTRAINT [PK_LK_CPT_PLN_SRVC_TIER] PRIMARY KEY  CLUSTERED ([CPT_PLN_SRVC_TIER_ID] ASC)
	WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY],
	CONSTRAINT [UX01_LK_CPT_PLN_SRVC_TIER] UNIQUE NONCLUSTERED ([CPT_PLN_SRVC_TIER] ASC)
	WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

go

ALTER TABLE [dbo].[LK_CPT_PLN_SRVC_TIER]  WITH NOCHECK ADD  CONSTRAINT [FK01_LK_CPT_PLN_SRVC_TIER] FOREIGN KEY([REC_STUS_ID])
REFERENCES [dbo].[LK_REC_STUS] ([REC_STUS_ID])
GO

ALTER TABLE [dbo].[LK_CPT_PLN_SRVC_TIER] CHECK CONSTRAINT [FK01_LK_CPT_PLN_SRVC_TIER]
GO

ALTER TABLE [dbo].[LK_CPT_PLN_SRVC_TIER]  WITH NOCHECK ADD  CONSTRAINT [FK02_LK_CPT_PLN_SRVC_TIER] FOREIGN KEY([MODFD_BY_USER_ID])
REFERENCES [dbo].[LK_USER] ([USER_ID])
GO

ALTER TABLE [dbo].[LK_CPT_PLN_SRVC_TIER] CHECK CONSTRAINT [FK02_LK_CPT_PLN_SRVC_TIER]
GO

ALTER TABLE [dbo].[LK_CPT_PLN_SRVC_TIER]  WITH NOCHECK ADD  CONSTRAINT [FK03_LK_CPT_PLN_SRVC_TIER] FOREIGN KEY([CREAT_BY_USER_ID])
REFERENCES [dbo].[LK_USER] ([USER_ID])
GO

ALTER TABLE [dbo].[LK_CPT_PLN_SRVC_TIER] CHECK CONSTRAINT [FK03_LK_CPT_PLN_SRVC_TIER]
GO

-- Table LK_CPT_PLN_SRVC_TYPE to store the lookup data for Planned Service Type Section under CPT form in COWS UI
CREATE TABLE [dbo].[LK_CPT_PLN_SRVC_TYPE]
( 
	[CPT_PLN_SRVC_TYPE_ID]      smallint  		NOT NULL ,
	[CPT_PLN_SRVC_TYPE]         varchar(100)  	NOT NULL ,
	[REC_STUS_ID] 			tinyint 		NOT NULL CONSTRAINT [DF_RECSTUSID_LK_CPT_PLN_SRVC_TYPE_1] DEFAULT ((1)),
	[CREAT_BY_USER_ID] [int] NOT NULL,
	[MODFD_BY_USER_ID] [int] NULL,
	[CREAT_DT]          smalldatetime  	NOT NULL CONSTRAINT [DF_getdate_LK_CPT_PLN_SRVC_TYPE_1] DEFAULT  getdate(),
	[MODFD_DT]			smalldatetime 	NULL,
	CONSTRAINT [PK_LK_CPT_PLN_SRVC_TYPE] PRIMARY KEY  CLUSTERED ([CPT_PLN_SRVC_TYPE_ID] ASC)
	WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY],
	CONSTRAINT [UX01_LK_CPT_PLN_SRVC_TYPE] UNIQUE NONCLUSTERED ([CPT_PLN_SRVC_TYPE] ASC)
	WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

go

ALTER TABLE [dbo].[LK_CPT_PLN_SRVC_TYPE]  WITH NOCHECK ADD  CONSTRAINT [FK01_LK_CPT_PLN_SRVC_TYPE] FOREIGN KEY([REC_STUS_ID])
REFERENCES [dbo].[LK_REC_STUS] ([REC_STUS_ID])
GO

ALTER TABLE [dbo].[LK_CPT_PLN_SRVC_TYPE] CHECK CONSTRAINT [FK01_LK_CPT_PLN_SRVC_TYPE]
GO

ALTER TABLE [dbo].[LK_CPT_PLN_SRVC_TYPE]  WITH NOCHECK ADD  CONSTRAINT [FK02_LK_CPT_PLN_SRVC_TYPE] FOREIGN KEY([MODFD_BY_USER_ID])
REFERENCES [dbo].[LK_USER] ([USER_ID])
GO

ALTER TABLE [dbo].[LK_CPT_PLN_SRVC_TYPE] CHECK CONSTRAINT [FK02_LK_CPT_PLN_SRVC_TYPE]
GO

ALTER TABLE [dbo].[LK_CPT_PLN_SRVC_TYPE]  WITH NOCHECK ADD  CONSTRAINT [FK03_LK_CPT_PLN_SRVC_TYPE] FOREIGN KEY([CREAT_BY_USER_ID])
REFERENCES [dbo].[LK_USER] ([USER_ID])
GO

ALTER TABLE [dbo].[LK_CPT_PLN_SRVC_TYPE] CHECK CONSTRAINT [FK03_LK_CPT_PLN_SRVC_TYPE]
GO

-- Table LK_CPT_MDS_SUPRT_TIER to store the lookup data for MDS Support Tier Section under CPT form in COWS UI
CREATE TABLE [dbo].[LK_CPT_MDS_SUPRT_TIER]
( 
	[CPT_MDS_SUPRT_TIER_ID]      smallint  		NOT NULL ,
	[CPT_MDS_SUPRT_TIER]         varchar(100)  	NOT NULL ,
	[REC_STUS_ID] 			tinyint 		NOT NULL CONSTRAINT [DF_RECSTUSID_LK_CPT_MDS_SUPRT_TIER_1] DEFAULT ((1)),
	[CREAT_BY_USER_ID] [int] NOT NULL,
	[MODFD_BY_USER_ID] [int] NULL,
	[CREAT_DT]          smalldatetime  	NOT NULL CONSTRAINT [DF_getdate_LK_CPT_MDS_SUPRT_TIER_1] DEFAULT  getdate(),
	[MODFD_DT]			smalldatetime 	NULL,
	CONSTRAINT [PK_LK_CPT_MDS_SUPRT_TIER] PRIMARY KEY  CLUSTERED ([CPT_MDS_SUPRT_TIER_ID] ASC)
	WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY],
	CONSTRAINT [UX01_LK_CPT_MDS_SUPRT_TIER] UNIQUE NONCLUSTERED ([CPT_MDS_SUPRT_TIER] ASC)
	WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

go

ALTER TABLE [dbo].[LK_CPT_MDS_SUPRT_TIER]  WITH NOCHECK ADD  CONSTRAINT [FK01_LK_CPT_MDS_SUPRT_TIER] FOREIGN KEY([REC_STUS_ID])
REFERENCES [dbo].[LK_REC_STUS] ([REC_STUS_ID])
GO

ALTER TABLE [dbo].[LK_CPT_MDS_SUPRT_TIER] CHECK CONSTRAINT [FK01_LK_CPT_MDS_SUPRT_TIER]
GO

ALTER TABLE [dbo].[LK_CPT_MDS_SUPRT_TIER]  WITH NOCHECK ADD  CONSTRAINT [FK02_LK_CPT_MDS_SUPRT_TIER] FOREIGN KEY([MODFD_BY_USER_ID])
REFERENCES [dbo].[LK_USER] ([USER_ID])
GO

ALTER TABLE [dbo].[LK_CPT_MDS_SUPRT_TIER] CHECK CONSTRAINT [FK02_LK_CPT_MDS_SUPRT_TIER]
GO

ALTER TABLE [dbo].[LK_CPT_MDS_SUPRT_TIER]  WITH NOCHECK ADD  CONSTRAINT [FK03_LK_CPT_MDS_SUPRT_TIER] FOREIGN KEY([CREAT_BY_USER_ID])
REFERENCES [dbo].[LK_USER] ([USER_ID])
GO

ALTER TABLE [dbo].[LK_CPT_MDS_SUPRT_TIER] CHECK CONSTRAINT [FK03_LK_CPT_MDS_SUPRT_TIER]
GO

-- Table LK_CPT_HST_MNGD_SRVC to store the lookup data for Hosted Managed Service section under CPT form in COWS UI
CREATE TABLE [dbo].[LK_CPT_HST_MNGD_SRVC]
( 
	[CPT_HST_MNGD_SRVC_ID]      smallint  		NOT NULL ,
	[CPT_HST_MNGD_SRVC]         varchar(100)  	NOT NULL ,
	[REC_STUS_ID] 			tinyint 		NOT NULL CONSTRAINT [DF_RECSTUSID_LK_CPT_HST_MNGD_SRVC_1] DEFAULT ((1)),
	[CREAT_BY_USER_ID] [int] NOT NULL,
	[MODFD_BY_USER_ID] [int] NULL,
	[CREAT_DT]          smalldatetime  	NOT NULL CONSTRAINT [DF_getdate_LK_CPT_HST_MNGD_SRVC_1] DEFAULT  getdate(),
	[MODFD_DT]			smalldatetime 	NULL,
	CONSTRAINT [PK_LK_CPT_HST_MNGD_SRVC] PRIMARY KEY  CLUSTERED ([CPT_HST_MNGD_SRVC_ID] ASC)
	WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY],
	CONSTRAINT [UX01_LK_CPT_HST_MNGD_SRVC] UNIQUE NONCLUSTERED ([CPT_HST_MNGD_SRVC] ASC)
	WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

go

ALTER TABLE [dbo].[LK_CPT_HST_MNGD_SRVC]  WITH NOCHECK ADD  CONSTRAINT [FK01_LK_CPT_HST_MNGD_SRVC] FOREIGN KEY([REC_STUS_ID])
REFERENCES [dbo].[LK_REC_STUS] ([REC_STUS_ID])
GO

ALTER TABLE [dbo].[LK_CPT_HST_MNGD_SRVC] CHECK CONSTRAINT [FK01_LK_CPT_HST_MNGD_SRVC]
GO

ALTER TABLE [dbo].[LK_CPT_HST_MNGD_SRVC]  WITH NOCHECK ADD  CONSTRAINT [FK02_LK_CPT_HST_MNGD_SRVC] FOREIGN KEY([MODFD_BY_USER_ID])
REFERENCES [dbo].[LK_USER] ([USER_ID])
GO

ALTER TABLE [dbo].[LK_CPT_HST_MNGD_SRVC] CHECK CONSTRAINT [FK02_LK_CPT_HST_MNGD_SRVC]
GO

ALTER TABLE [dbo].[LK_CPT_HST_MNGD_SRVC]  WITH NOCHECK ADD  CONSTRAINT [FK03_LK_CPT_HST_MNGD_SRVC] FOREIGN KEY([CREAT_BY_USER_ID])
REFERENCES [dbo].[LK_USER] ([USER_ID])
GO

ALTER TABLE [dbo].[LK_CPT_HST_MNGD_SRVC] CHECK CONSTRAINT [FK03_LK_CPT_HST_MNGD_SRVC]
GO

-- Table LK_CPT_PRIM_SCNDY_TPRT to store the lookup data for Primary/Secondary WAN Transport section under CPT form in COWS UI
CREATE TABLE [dbo].[LK_CPT_PRIM_SCNDY_TPRT]
( 
	[CPT_PRIM_SCNDY_TPRT_ID]      smallint  		NOT NULL ,
	[CPT_PRIM_SCNDY_TPRT]         varchar(100)  	NOT NULL ,
	[REC_STUS_ID] 			tinyint 		NOT NULL CONSTRAINT [DF_RECSTUSID_LK_CPT_PRIM_SCNDY_TPRT_1] DEFAULT ((1)),
	[CREAT_BY_USER_ID] [int] NOT NULL,
	[MODFD_BY_USER_ID] [int] NULL,
	[CREAT_DT]          smalldatetime  	NOT NULL CONSTRAINT [DF_getdate_LK_CPT_PRIM_SCNDY_TPRT_1] DEFAULT  getdate(),
	[MODFD_DT]			smalldatetime 	NULL,
	CONSTRAINT [PK_LK_CPT_PRIM_SCNDY_TPRT] PRIMARY KEY  CLUSTERED ([CPT_PRIM_SCNDY_TPRT_ID] ASC)
	WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY],
	CONSTRAINT [UX01_LK_CPT_PRIM_SCNDY_TPRT] UNIQUE NONCLUSTERED ([CPT_PRIM_SCNDY_TPRT] ASC)
	WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

go

ALTER TABLE [dbo].[LK_CPT_PRIM_SCNDY_TPRT]  WITH NOCHECK ADD  CONSTRAINT [FK01_LK_CPT_PRIM_SCNDY_TPRT] FOREIGN KEY([REC_STUS_ID])
REFERENCES [dbo].[LK_REC_STUS] ([REC_STUS_ID])
GO

ALTER TABLE [dbo].[LK_CPT_PRIM_SCNDY_TPRT] CHECK CONSTRAINT [FK01_LK_CPT_PRIM_SCNDY_TPRT]
GO

ALTER TABLE [dbo].[LK_CPT_PRIM_SCNDY_TPRT]  WITH NOCHECK ADD  CONSTRAINT [FK02_LK_CPT_PRIM_SCNDY_TPRT] FOREIGN KEY([MODFD_BY_USER_ID])
REFERENCES [dbo].[LK_USER] ([USER_ID])
GO

ALTER TABLE [dbo].[LK_CPT_PRIM_SCNDY_TPRT] CHECK CONSTRAINT [FK02_LK_CPT_PRIM_SCNDY_TPRT]
GO

ALTER TABLE [dbo].[LK_CPT_PRIM_SCNDY_TPRT]  WITH NOCHECK ADD  CONSTRAINT [FK03_LK_CPT_PRIM_SCNDY_TPRT] FOREIGN KEY([CREAT_BY_USER_ID])
REFERENCES [dbo].[LK_USER] ([USER_ID])
GO

ALTER TABLE [dbo].[LK_CPT_PRIM_SCNDY_TPRT] CHECK CONSTRAINT [FK03_LK_CPT_PRIM_SCNDY_TPRT]
GO

-- Table LK_CPT_UCaaS_PROD_TYPE to store the lookup data for UCaaS Product Type section under CPT form in COWS UI
/* CREATE TABLE [dbo].[LK_CPT_UCaaS_PROD_TYPE]
( 
	[CPT_UCaaS_PROD_TYPE_ID]      smallint  		NOT NULL ,
	[CPT_UCaaS_PROD_TYPE]         varchar(100)  	NOT NULL ,
	[REC_STUS_ID] 			tinyint 		NOT NULL CONSTRAINT [DF_RECSTUSID_LK_CPT_UCaaS_PROD_TYPE_1] DEFAULT ((1)),
	[CREAT_BY_USER_ID] [int] NOT NULL,
	[MODFD_BY_USER_ID] [int] NULL,
	[CREAT_DT]          smalldatetime  	NOT NULL CONSTRAINT [DF_getdate_LK_CPT_UCaaS_PROD_TYPE_1] DEFAULT  getdate(),
	[MODFD_DT]			smalldatetime 	NULL,
	CONSTRAINT [PK_LK_CPT_UCaaS_PROD_TYPE] PRIMARY KEY  CLUSTERED ([CPT_UCaaS_PROD_TYPE_ID] ASC)
	WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY],
	CONSTRAINT [UX01_LK_CPT_UCaaS_PROD_TYPE] UNIQUE NONCLUSTERED ([CPT_UCaaS_PROD_TYPE] ASC)
	WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

go

ALTER TABLE [dbo].[LK_CPT_UCaaS_PROD_TYPE]  WITH NOCHECK ADD  CONSTRAINT [FK01_LK_CPT_UCaaS_PROD_TYPE] FOREIGN KEY([REC_STUS_ID])
REFERENCES [dbo].[LK_REC_STUS] ([REC_STUS_ID])
GO

ALTER TABLE [dbo].[LK_CPT_UCaaS_PROD_TYPE] CHECK CONSTRAINT [FK01_LK_CPT_UCaaS_PROD_TYPE]
GO

ALTER TABLE [dbo].[LK_CPT_UCaaS_PROD_TYPE]  WITH NOCHECK ADD  CONSTRAINT [FK02_LK_CPT_UCaaS_PROD_TYPE] FOREIGN KEY([MODFD_BY_USER_ID])
REFERENCES [dbo].[LK_USER] ([USER_ID])
GO

ALTER TABLE [dbo].[LK_CPT_UCaaS_PROD_TYPE] CHECK CONSTRAINT [FK02_LK_CPT_UCaaS_PROD_TYPE]
GO

ALTER TABLE [dbo].[LK_CPT_UCaaS_PROD_TYPE]  WITH NOCHECK ADD  CONSTRAINT [FK03_LK_CPT_UCaaS_PROD_TYPE] FOREIGN KEY([CREAT_BY_USER_ID])
REFERENCES [dbo].[LK_USER] ([USER_ID])
GO

ALTER TABLE [dbo].[LK_CPT_UCaaS_PROD_TYPE] CHECK CONSTRAINT [FK03_LK_CPT_UCaaS_PROD_TYPE]
GO */

-- Table LK_CPT_MNGD_AUTH_PRD to store the lookup data for Managed Authentication Product dropdown under CPT form in COWS UI
CREATE TABLE [dbo].[LK_CPT_MNGD_AUTH_PRD]
( 
	[CPT_MNGD_AUTH_PRD_ID]      smallint  		NOT NULL ,
	[CPT_MNGD_AUTH_PRD]         varchar(100)  	NOT NULL ,
	[REC_STUS_ID] 			tinyint 		NOT NULL CONSTRAINT [DF_RECSTUSID_LK_CPT_MNGD_AUTH_PRD_1] DEFAULT ((1)),
	[CREAT_BY_USER_ID] [int] NOT NULL,
	[MODFD_BY_USER_ID] [int] NULL,
	[CREAT_DT]          smalldatetime  	NOT NULL CONSTRAINT [DF_getdate_LK_CPT_MNGD_AUTH_PRD_1] DEFAULT  getdate(),
	[MODFD_DT]			smalldatetime 	NULL,
	CONSTRAINT [PK_CPT_MNGD_AUTH_PRD] PRIMARY KEY  CLUSTERED ([CPT_MNGD_AUTH_PRD_ID] ASC)
	WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY],
	CONSTRAINT [UX01_LK_CPT_MNGD_AUTH_PRD] UNIQUE NONCLUSTERED ([CPT_MNGD_AUTH_PRD] ASC)
	WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

go

ALTER TABLE [dbo].[LK_CPT_MNGD_AUTH_PRD]  WITH NOCHECK ADD  CONSTRAINT [FK01_LK_CPT_MNGD_AUTH_PRD] FOREIGN KEY([REC_STUS_ID])
REFERENCES [dbo].[LK_REC_STUS] ([REC_STUS_ID])
GO

ALTER TABLE [dbo].[LK_CPT_MNGD_AUTH_PRD] CHECK CONSTRAINT [FK01_LK_CPT_MNGD_AUTH_PRD]
GO

ALTER TABLE [dbo].[LK_CPT_MNGD_AUTH_PRD]  WITH NOCHECK ADD  CONSTRAINT [FK02_LK_CPT_MNGD_AUTH_PRD] FOREIGN KEY([MODFD_BY_USER_ID])
REFERENCES [dbo].[LK_USER] ([USER_ID])
GO

ALTER TABLE [dbo].[LK_CPT_MNGD_AUTH_PRD] CHECK CONSTRAINT [FK02_LK_CPT_MNGD_AUTH_PRD]
GO

ALTER TABLE [dbo].[LK_CPT_MNGD_AUTH_PRD]  WITH NOCHECK ADD  CONSTRAINT [FK03_LK_CPT_MNGD_AUTH_PRD] FOREIGN KEY([CREAT_BY_USER_ID])
REFERENCES [dbo].[LK_USER] ([USER_ID])
GO

ALTER TABLE [dbo].[LK_CPT_MNGD_AUTH_PRD] CHECK CONSTRAINT [FK03_LK_CPT_MNGD_AUTH_PRD]
GO

-- Table CPT to store all the primary information from CPT form in COWS UI
CREATE TABLE [dbo].[CPT]
( 
	[CPT_ID] [int] IDENTITY(1,1) NOT FOR REPLICATION NOT NULL,
	[CPT_CUST_NBR] VARCHAR(13) NOT NULL,
	[CUST_SHRT_NME] VARCHAR(100) NULL,
	[SUBNET_IP_ADR]	VARCHAR(45) NULL,
	[START_IP_ADR]	VARCHAR(45) NULL,
	[END_IP_ADR]	VARCHAR(45) NULL,
	[QIP_SUBNET_NME]	VARCHAR(200) NULL,
	[PRE_STGD_KEY] VARCHAR(200) NULL,
	[MPLS_IP_ADR]	VARCHAR(45) NULL,
	[WPaaS_IP_ADR]	VARCHAR(45) NULL,
	[SUBMTR_USER_ID] [int] NOT NULL,
	[SE_EMAIL_ADR] VARCHAR(200) NOT NULL,
	[AM_EMAIL_ADR] VARCHAR(200) NOT NULL,
	[IPM_EMAIL_ADR] VARCHAR(200) NOT NULL,
	[H1] [dbo].[H1] NOT NULL,
	[DEV_CNT] SMALLINT NOT NULL,
	[COMPNY_NME] [varbinary](max) NULL,
	[CUST_ADR] [varbinary](max) NOT NULL,
	[CUST_FLR_BLDG_NME] [varbinary](max) NULL,
	[CUST_CTY_NME] [varbinary](max) NULL,
	[CUST_STT_PRVN_NME] [varbinary](max) NOT NULL,
	[CUST_CTRY_RGN_NME] [varbinary](max) NOT NULL,
	[CUST_ZIP_CD] [varbinary](max) NOT NULL,
	[GOVT_CUST_CD] BIT NULL,
	[SCRTY_CLRNCE_CD] BIT NULL,
	[SPRNT_WHLSL_RESLR_CD] BIT NOT NULL, 
	[SPRNT_WHLSL_RESLR_NME] VARCHAR(255) NULL,
	[TACACS_CD] BIT NOT NULL,
	[ENC_MDM_CD] BIT NOT NULL,
	[HST_MGND_SRVC_CD] BIT NOT NULL,
	[PRE_SHRD_KEY] VARCHAR(200) NULL,
	[CPT_STUS_ID] smallint NOT NULL,
	[CREAT_BY_USER_ID] [int] NULL,
	[MODFD_BY_USER_ID] [int] NULL,
	[MODFD_DT] [datetime] NULL,
	[CREAT_DT] [datetime] NOT NULL CONSTRAINT [DF_getdate_CPT_1]  DEFAULT (getdate()),
	[REC_STUS_ID] [tinyint] NOT NULL CONSTRAINT [DF_RECSTUSID_CPT_1]  DEFAULT ((1)),	
	[REVWD_PM_CD] BIT NOT NULL,
	[RETRN_SDE_CD] BIT NOT NULL,
 CONSTRAINT [PK_CPT] PRIMARY KEY CLUSTERED 
(
	[CPT_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY],
CONSTRAINT [UX01_CPT] UNIQUE NONCLUSTERED ([CPT_CUST_NBR])
	WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]

GO

ALTER TABLE [dbo].[CPT]  WITH NOCHECK ADD  CONSTRAINT [FK01_CPT] FOREIGN KEY([CREAT_BY_USER_ID])
REFERENCES [dbo].[LK_USER] ([USER_ID])
GO

ALTER TABLE [dbo].[CPT] CHECK CONSTRAINT [FK01_CPT]
GO

ALTER TABLE [dbo].[CPT]  WITH NOCHECK ADD  CONSTRAINT [FK02_CPT] FOREIGN KEY([MODFD_BY_USER_ID])
REFERENCES [dbo].[LK_USER] ([USER_ID])
GO

ALTER TABLE [dbo].[CPT] CHECK CONSTRAINT [FK02_CPT]
GO

ALTER TABLE [dbo].[CPT]  WITH NOCHECK ADD  CONSTRAINT [FK03_CPT] FOREIGN KEY([REC_STUS_ID])
REFERENCES [dbo].[LK_REC_STUS] ([REC_STUS_ID])
GO

ALTER TABLE [dbo].[CPT] CHECK CONSTRAINT [FK03_CPT]
GO

ALTER TABLE [dbo].[CPT]  WITH NOCHECK ADD  CONSTRAINT [FK04_CPT] FOREIGN KEY([SUBMTR_USER_ID])
REFERENCES [dbo].[LK_USER] ([USER_ID])
GO

ALTER TABLE [dbo].[CPT] CHECK CONSTRAINT [FK04_CPT]
GO

ALTER TABLE [dbo].[CPT]  WITH NOCHECK ADD  CONSTRAINT [FK05_CPT] FOREIGN KEY([CPT_STUS_ID])
REFERENCES [dbo].[LK_STUS] ([STUS_ID])
GO

ALTER TABLE [dbo].[CPT] CHECK CONSTRAINT [FK05_CPT]
GO

--ALTER TABLE [dbo].[CPT]  WITH NOCHECK ADD  CONSTRAINT [FK06_CPT] FOREIGN KEY([MGR_USER_ID])
--REFERENCES [dbo].[LK_USER] ([USER_ID])
--GO

--ALTER TABLE [dbo].[CPT] CHECK CONSTRAINT [FK06_CPT]
--GO

--ALTER TABLE [dbo].[CPT]  WITH NOCHECK ADD  CONSTRAINT [FK07_CPT] FOREIGN KEY([NTE_USER_ID])
--REFERENCES [dbo].[LK_USER] ([USER_ID])
--GO

--ALTER TABLE [dbo].[CPT] CHECK CONSTRAINT [FK07_CPT]
--GO

--ALTER TABLE [dbo].[CPT]  WITH NOCHECK ADD  CONSTRAINT [FK08_CPT] FOREIGN KEY([PM_USER_ID])
--REFERENCES [dbo].[LK_USER] ([USER_ID])
--GO

--ALTER TABLE [dbo].[CPT] CHECK CONSTRAINT [FK08_CPT]
--GO

--ALTER TABLE [dbo].[CPT]  WITH NOCHECK ADD  CONSTRAINT [FK09_CPT] FOREIGN KEY([CRM_USER_ID])
--REFERENCES [dbo].[LK_USER] ([USER_ID])
--GO

--ALTER TABLE [dbo].[CPT] CHECK CONSTRAINT [FK09_CPT]
--GO

--ALTER TABLE [dbo].[CPT]  WITH NOCHECK ADD  CONSTRAINT [FK10_CPT] FOREIGN KEY([GATEKPR_USER_ID])
--REFERENCES [dbo].[LK_USER] ([USER_ID])
--GO

--ALTER TABLE [dbo].[CPT] CHECK CONSTRAINT [FK10_CPT]
--GO


-- Table CPT_RLTD_INFO to store the common data between all sections from CPT form in COWS UI
CREATE TABLE [dbo].[CPT_RLTD_INFO]
(
	[CPT_RLTD_INFO_ID] [int] IDENTITY(1,1) NOT FOR REPLICATION NOT NULL,
	[CPT_ID] [int] NOT NULL,
	[CPT_PLN_SRVC_TIER_ID] SMALLINT NULL,
	[CPT_CUST_TYPE_ID] SMALLINT NOT NULL,
	[HSTD_UC_CD] BIT NULL,
	[CUBE_SIPT_SMI_CD] BIT NOT NULL,
	[E2E_NDD_CD] BIT NULL,
	[NTWK_DSGN_DOC_TXT] VARCHAR(MAX) NULL,
	[CMNT_TXT] VARCHAR(MAX) NULL,
	[CUST_UCD_CD] BIT NULL,
	[SPS_SOW_CD] BIT NULL,
	[CREAT_DT] [datetime] NOT NULL CONSTRAINT [DF_getdate_CPT_RLTD_INFO_1]  DEFAULT (getdate()),
 CONSTRAINT [PK_CPT_RLTD_INFO] PRIMARY KEY CLUSTERED 
(
	[CPT_RLTD_INFO_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]

GO

ALTER TABLE [dbo].[CPT_RLTD_INFO]  WITH NOCHECK ADD  CONSTRAINT [FK01_CPT_RLTD_INFO] FOREIGN KEY([CPT_PLN_SRVC_TIER_ID])
REFERENCES [dbo].[LK_CPT_PLN_SRVC_TIER] ([CPT_PLN_SRVC_TIER_ID])
GO

ALTER TABLE [dbo].[CPT_RLTD_INFO] CHECK CONSTRAINT [FK01_CPT_RLTD_INFO]
GO

ALTER TABLE [dbo].[CPT_RLTD_INFO]  WITH NOCHECK ADD  CONSTRAINT [FK02_CPT_RLTD_INFO] FOREIGN KEY([CPT_ID])
REFERENCES [dbo].[CPT] ([CPT_ID])
GO

ALTER TABLE [dbo].[CPT_RLTD_INFO] CHECK CONSTRAINT [FK02_CPT_RLTD_INFO]
GO

ALTER TABLE [dbo].[CPT_RLTD_INFO]  WITH NOCHECK ADD  CONSTRAINT [FK03_CPT_RLTD_INFO] FOREIGN KEY([CPT_CUST_TYPE_ID])
REFERENCES [dbo].[LK_CPT_CUST_TYPE] ([CPT_CUST_TYPE_ID])
GO

ALTER TABLE [dbo].[CPT_RLTD_INFO] CHECK CONSTRAINT [FK03_CPT_RLTD_INFO]
GO

-- Table CPT_DOC to store the uploaded documents from CPT form in COWS UI
CREATE TABLE [dbo].[CPT_DOC]
( 
	[CPT_DOC_ID] [int] IDENTITY(1,1) NOT FOR REPLICATION NOT NULL,
	[CPT_ID] [int] NOT NULL,
	[FILE_NME] [varchar](255) NOT NULL,
	[FILE_CNTNT] [varbinary](max) NOT NULL,
	[FILE_SIZE_QTY] [int] NOT NULL,
	[CMNT_TXT] [varchar](1000) NULL,
	[CREAT_DT] [datetime] NOT NULL CONSTRAINT [DF_getdate_CPT_DOC_1]  DEFAULT (getdate()),
	[MODFD_DT] [datetime] NULL,
	[CREAT_BY_USER_ID] [int] NOT NULL,
	[MODFD_BY_USER_ID] [int] NULL,
	[REC_STUS_ID] [tinyint] NOT NULL CONSTRAINT [DF_RECSTUSID_CPT_DOC_1]  DEFAULT ((1)),
 CONSTRAINT [PK_CPT_DOC] PRIMARY KEY CLUSTERED 
(
	[CPT_DOC_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]

GO


ALTER TABLE [dbo].[CPT_DOC]
	ADD CONSTRAINT [FK01_CPT_DOC] FOREIGN KEY ([CPT_ID]) REFERENCES [dbo].[CPT]([CPT_ID])
		ON DELETE NO ACTION
		ON UPDATE NO ACTION
go

ALTER TABLE [dbo].[CPT_DOC]
	ADD CONSTRAINT [FK02_CPT_DOC] FOREIGN KEY ([CREAT_BY_USER_ID]) REFERENCES [dbo].[LK_USER]([USER_ID])
		ON DELETE NO ACTION
		ON UPDATE NO ACTION
go

ALTER TABLE [dbo].[CPT_DOC]
	ADD CONSTRAINT [FK03_CPT_DOC] FOREIGN KEY ([MODFD_BY_USER_ID]) REFERENCES [dbo].[LK_USER]([USER_ID])
		ON DELETE NO ACTION
		ON UPDATE NO ACTION
go

ALTER TABLE [dbo].[CPT_DOC]  WITH NOCHECK ADD  CONSTRAINT [FK04_CPT_DOC] FOREIGN KEY([REC_STUS_ID])
REFERENCES [dbo].[LK_REC_STUS] ([REC_STUS_ID])
GO

ALTER TABLE [dbo].[CPT_DOC] CHECK CONSTRAINT [FK04_CPT_DOC]
GO

-- Table CPT_SRVC_TIER to store the planned service tier data from CPT form in COWS UI
--CREATE TABLE [dbo].[CPT_SRVC_TIER]
--(
--	[CPT_SRVC_TIER_ID] [int] IDENTITY(1,1) NOT FOR REPLICATION NOT NULL,
--	[CPT_ID] [int] NOT NULL,
--	[CPT_PLN_SRVC_TIER_ID] [smallint] NOT NULL,
--	[CREAT_DT] [datetime] NOT NULL CONSTRAINT [DF_getdate_CPT_SRVC_TIER_1]  DEFAULT (getdate()),
-- CONSTRAINT [PK_CPT_SRVC_TIER] PRIMARY KEY CLUSTERED 
--(
--	[CPT_SRVC_TIER_ID] ASC
--)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
--) ON [PRIMARY]

--GO

--ALTER TABLE [dbo].[CPT_SRVC_TIER]  WITH NOCHECK ADD  CONSTRAINT [FK01_CPT_SRVC_TIER] FOREIGN KEY([CPT_PLN_SRVC_TIER_ID])
--REFERENCES [dbo].[LK_CPT_PLN_SRVC_TIER] ([CPT_PLN_SRVC_TIER_ID])
--GO

--ALTER TABLE [dbo].[CPT_SRVC_TIER] CHECK CONSTRAINT [FK01_CPT_SRVC_TIER]
--GO

--ALTER TABLE [dbo].[CPT_SRVC_TIER]  WITH NOCHECK ADD  CONSTRAINT [FK02_CPT_SRVC_TIER] FOREIGN KEY([CPT_ID])
--REFERENCES [dbo].[CPT] ([CPT_ID])
--GO

--ALTER TABLE [dbo].[CPT_SRVC_TIER] CHECK CONSTRAINT [FK02_CPT_SRVC_TIER]
--GO

-- Table CPT_SRVC_TYPE to store the planned service type data from CPT form in COWS UI
CREATE TABLE [dbo].[CPT_SRVC_TYPE]
(
	[CPT_SRVC_TYPE_ID] [int] IDENTITY(1,1) NOT FOR REPLICATION NOT NULL,
	[CPT_ID] [int] NOT NULL,
	[CPT_PLN_SRVC_TYPE_ID] [smallint] NOT NULL,
	[CREAT_DT] [datetime] NOT NULL CONSTRAINT [DF_getdate_CPT_SRVC_TYPE_1]  DEFAULT (getdate()),
 CONSTRAINT [PK_CPT_SRVC_TYPE] PRIMARY KEY CLUSTERED 
(
	[CPT_SRVC_TYPE_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO

ALTER TABLE [dbo].[CPT_SRVC_TYPE]  WITH NOCHECK ADD  CONSTRAINT [FK01_CPT_SRVC_TYPE] FOREIGN KEY([CPT_PLN_SRVC_TYPE_ID])
REFERENCES [dbo].[LK_CPT_PLN_SRVC_TYPE] ([CPT_PLN_SRVC_TYPE_ID])
GO

ALTER TABLE [dbo].[CPT_SRVC_TYPE] CHECK CONSTRAINT [FK01_CPT_SRVC_TYPE]
GO

ALTER TABLE [dbo].[CPT_SRVC_TYPE]  WITH NOCHECK ADD  CONSTRAINT [FK02_CPT_SRVC_TYPE] FOREIGN KEY([CPT_ID])
REFERENCES [dbo].[CPT] ([CPT_ID])
GO

ALTER TABLE [dbo].[CPT_SRVC_TYPE] CHECK CONSTRAINT [FK02_CPT_SRVC_TYPE]
GO

-- Table CPT_SUPRT_TIER to store the planned MDS Support tier data from CPT form in COWS UI
CREATE TABLE [dbo].[CPT_SUPRT_TIER]
(
	[CPT_SUPRT_TIER_ID] [int] IDENTITY(1,1) NOT FOR REPLICATION NOT NULL,
	[CPT_ID] [int] NOT NULL,
	[CPT_MDS_SUPRT_TIER_ID] [smallint] NOT NULL,
	[CREAT_DT] [datetime] NOT NULL CONSTRAINT [DF_getdate_CPT_SUPRT_TIER_1]  DEFAULT (getdate()),
 CONSTRAINT [PK_CPT_SUPRT_TIER] PRIMARY KEY CLUSTERED 
(
	[CPT_SUPRT_TIER_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO

ALTER TABLE [dbo].[CPT_SUPRT_TIER]  WITH NOCHECK ADD  CONSTRAINT [FK01_CPT_SUPRT_TIER] FOREIGN KEY([CPT_MDS_SUPRT_TIER_ID])
REFERENCES [dbo].[LK_CPT_MDS_SUPRT_TIER] ([CPT_MDS_SUPRT_TIER_ID])
GO

ALTER TABLE [dbo].[CPT_SUPRT_TIER] CHECK CONSTRAINT [FK01_CPT_SUPRT_TIER]
GO

ALTER TABLE [dbo].[CPT_SUPRT_TIER]  WITH NOCHECK ADD  CONSTRAINT [FK02_CPT_SUPRT_TIER] FOREIGN KEY([CPT_ID])
REFERENCES [dbo].[CPT] ([CPT_ID])
GO

ALTER TABLE [dbo].[CPT_SUPRT_TIER] CHECK CONSTRAINT [FK02_CPT_SUPRT_TIER]
GO


-- Table CPT_MNGD_SRVC to store the managed voice-hosted managed service data from CPT form in COWS UI
CREATE TABLE [dbo].[CPT_MNGD_SRVC]
(
	[CPT_MNGD_SRVC_ID] [int] IDENTITY(1,1) NOT FOR REPLICATION NOT NULL,
	[CPT_ID] [int] NOT NULL,
	[CPT_HST_MNGD_SRVC_ID] [smallint] NOT NULL,
	[CREAT_DT] [datetime] NOT NULL CONSTRAINT [DF_getdate_CPT_MNGD_SRVC_1]  DEFAULT (getdate()),
 CONSTRAINT [PK_CPT_MNGD_SRVC] PRIMARY KEY CLUSTERED 
(
	[CPT_MNGD_SRVC_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO

ALTER TABLE [dbo].[CPT_MNGD_SRVC]  WITH NOCHECK ADD  CONSTRAINT [FK01_CPT_MNGD_SRVC] FOREIGN KEY([CPT_HST_MNGD_SRVC_ID])
REFERENCES [dbo].[LK_CPT_HST_MNGD_SRVC] ([CPT_HST_MNGD_SRVC_ID])
GO

ALTER TABLE [dbo].[CPT_MNGD_SRVC] CHECK CONSTRAINT [FK01_CPT_MNGD_SRVC]
GO

ALTER TABLE [dbo].[CPT_MNGD_SRVC]  WITH NOCHECK ADD  CONSTRAINT [FK02_CPT_MNGD_SRVC] FOREIGN KEY([CPT_ID])
REFERENCES [dbo].[CPT] ([CPT_ID])
GO

ALTER TABLE [dbo].[CPT_MNGD_SRVC] CHECK CONSTRAINT [FK02_CPT_MNGD_SRVC]
GO

-- Table CPT_PRIM_WAN to store the primary wan transport data from CPT form in COWS UI
CREATE TABLE [dbo].[CPT_PRIM_WAN]
(
	[CPT_PRIM_WAN_ID] [int] IDENTITY(1,1) NOT FOR REPLICATION NOT NULL,
	[CPT_ID] [int] NOT NULL,
	[CPT_PLN_SRVC_TIER_ID] SMALLINT NOT NULL,
	[CPT_PRIM_SCNDY_TPRT_ID] [smallint] NOT NULL,
	[QTY]	[int] null,
	[CREAT_DT] [datetime] NOT NULL CONSTRAINT [DF_getdate_CPT_PRIM_WAN_1]  DEFAULT (getdate()),
 CONSTRAINT [PK_CPT_PRIM_WAN] PRIMARY KEY CLUSTERED 
(
	[CPT_PRIM_WAN_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO

ALTER TABLE [dbo].[CPT_PRIM_WAN]  WITH NOCHECK ADD  CONSTRAINT [FK01_CPT_PRIM_WAN] FOREIGN KEY([CPT_PRIM_SCNDY_TPRT_ID])
REFERENCES [dbo].[LK_CPT_PRIM_SCNDY_TPRT] ([CPT_PRIM_SCNDY_TPRT_ID])
GO

ALTER TABLE [dbo].[CPT_PRIM_WAN] CHECK CONSTRAINT [FK01_CPT_PRIM_WAN]
GO

ALTER TABLE [dbo].[CPT_PRIM_WAN]  WITH NOCHECK ADD  CONSTRAINT [FK02_CPT_PRIM_WAN] FOREIGN KEY([CPT_ID])
REFERENCES [dbo].[CPT] ([CPT_ID])
GO

ALTER TABLE [dbo].[CPT_PRIM_WAN] CHECK CONSTRAINT [FK02_CPT_PRIM_WAN]
GO

ALTER TABLE [dbo].[CPT_PRIM_WAN]  WITH NOCHECK ADD  CONSTRAINT [FK03_CPT_PRIM_WAN] FOREIGN KEY([CPT_PLN_SRVC_TIER_ID])
REFERENCES [dbo].[LK_CPT_PLN_SRVC_TIER] ([CPT_PLN_SRVC_TIER_ID])
GO

ALTER TABLE [dbo].[CPT_PRIM_WAN] CHECK CONSTRAINT [FK03_CPT_PRIM_WAN]
GO

-- Table CPT_SCNDY_TPRT to store the secondary transport data from CPT form in COWS UI
CREATE TABLE [dbo].[CPT_SCNDY_TPRT]
(
	[CPT_SCNDY_TPRT_ID] [int] IDENTITY(1,1) NOT FOR REPLICATION NOT NULL,
	[CPT_ID] [int] NOT NULL,
	[CPT_PLN_SRVC_TIER_ID] SMALLINT NOT NULL,
	[CPT_PRIM_SCNDY_TPRT_ID] [smallint] NOT NULL,
	[CREAT_DT] [datetime] NOT NULL CONSTRAINT [DF_getdate_CPT_SCNDY_TPRT_1]  DEFAULT (getdate()),
 CONSTRAINT [PK_CPT_SCNDY_TPRT] PRIMARY KEY CLUSTERED 
(
	[CPT_SCNDY_TPRT_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO

ALTER TABLE [dbo].[CPT_SCNDY_TPRT]  WITH NOCHECK ADD  CONSTRAINT [FK01_CPT_SCNDY_TPRT] FOREIGN KEY([CPT_PRIM_SCNDY_TPRT_ID])
REFERENCES [dbo].[LK_CPT_PRIM_SCNDY_TPRT] ([CPT_PRIM_SCNDY_TPRT_ID])
GO

ALTER TABLE [dbo].[CPT_SCNDY_TPRT] CHECK CONSTRAINT [FK01_CPT_SCNDY_TPRT]
GO

ALTER TABLE [dbo].[CPT_SCNDY_TPRT]  WITH NOCHECK ADD  CONSTRAINT [FK02_CPT_SCNDY_TPRT] FOREIGN KEY([CPT_ID])
REFERENCES [dbo].[CPT] ([CPT_ID])
GO

ALTER TABLE [dbo].[CPT_SCNDY_TPRT] CHECK CONSTRAINT [FK02_CPT_SCNDY_TPRT]
GO

ALTER TABLE [dbo].[CPT_SCNDY_TPRT]  WITH NOCHECK ADD  CONSTRAINT [FK03_CPT_SCNDY_TPRT] FOREIGN KEY([CPT_PLN_SRVC_TIER_ID])
REFERENCES [dbo].[LK_CPT_PLN_SRVC_TIER] ([CPT_PLN_SRVC_TIER_ID])
GO

ALTER TABLE [dbo].[CPT_SCNDY_TPRT] CHECK CONSTRAINT [FK03_CPT_SCNDY_TPRT]
GO

-- Table CPT_UCaaS_PROD to store the UCaaS Product Type from CPT form in COWS UI
/*CREATE TABLE [dbo].[CPT_UCaaS_PROD]
(
	[CPT_UCaaS_PROD_ID] [int] IDENTITY(1,1) NOT FOR REPLICATION NOT NULL,
	[CPT_ID] [int] NOT NULL,
	[CPT_UCaaS_PROD_TYPE_ID] [smallint] NOT NULL,
	[CREAT_DT] [datetime] NOT NULL CONSTRAINT [DF_getdate_CPT_UCaaS_PROD_1]  DEFAULT (getdate()),
 CONSTRAINT [PK_CPT_UCaaS_PROD] PRIMARY KEY CLUSTERED 
(
	[CPT_UCaaS_PROD_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO

ALTER TABLE [dbo].[CPT_UCaaS_PROD]  WITH NOCHECK ADD  CONSTRAINT [FK01_CPT_UCaaS_PROD] FOREIGN KEY([CPT_UCaaS_PROD_TYPE_ID])
REFERENCES [dbo].[LK_CPT_UCaaS_PROD_TYPE] ([CPT_UCaaS_PROD_TYPE_ID])
GO

ALTER TABLE [dbo].[CPT_UCaaS_PROD] CHECK CONSTRAINT [FK01_CPT_UCaaS_PROD]
GO

ALTER TABLE [dbo].[CPT_UCaaS_PROD]  WITH NOCHECK ADD  CONSTRAINT [FK02_CPT_UCaaS_PROD] FOREIGN KEY([CPT_ID])
REFERENCES [dbo].[CPT] ([CPT_ID])
GO

ALTER TABLE [dbo].[CPT_UCaaS_PROD] CHECK CONSTRAINT [FK02_CPT_UCaaS_PROD]
GO*/


-- Table CPT_PRIM_SITE to store the prim site data under provisioning section from CPT form in COWS UI
CREATE TABLE [dbo].[CPT_PRIM_SITE]
(
	[PRIM_SITE_ID] [int] IDENTITY(1,1) NOT FOR REPLICATION NOT NULL,
	[CPT_ID] [int] NOT NULL,
	[CPT_PRIM_SITE_ID] [smallint] NOT NULL,
	[CREAT_DT] [datetime] NOT NULL CONSTRAINT [DF_getdate_CPT_PRIM_SITE_1]  DEFAULT (getdate()),
 CONSTRAINT [PK_CPT_PRIM_SITE] PRIMARY KEY CLUSTERED 
(
	[PRIM_SITE_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO

ALTER TABLE [dbo].[CPT_PRIM_SITE]  WITH NOCHECK ADD  CONSTRAINT [FK01_CPT_PRIM_SITE] FOREIGN KEY([CPT_PRIM_SITE_ID])
REFERENCES [dbo].[LK_CPT_PRIM_SITE] ([CPT_PRIM_SITE_ID])
GO

ALTER TABLE [dbo].[CPT_PRIM_SITE] CHECK CONSTRAINT [FK01_CPT_PRIM_SITE]
GO

ALTER TABLE [dbo].[CPT_PRIM_SITE]  WITH NOCHECK ADD  CONSTRAINT [FK02_CPT_PRIM_SITE] FOREIGN KEY([CPT_ID])
REFERENCES [dbo].[CPT] ([CPT_ID])
GO

ALTER TABLE [dbo].[CPT_PRIM_SITE] CHECK CONSTRAINT [FK02_CPT_PRIM_SITE]
GO


CREATE TABLE [dbo].[CPT_HIST](
	[CPT_HIST_ID] [int] IDENTITY(1,1) NOT FOR REPLICATION NOT NULL,
	[CPT_ID] [int] NOT NULL,
	[ACTN_ID] [tinyint] NOT NULL,
	[CMNT_TXT] [varchar](max) NULL,
	[CREAT_BY_USER_ID] [int] NOT NULL,
	[CREAT_DT] [datetime] NOT NULL CONSTRAINT [DF_getdate_CPT_HIST_1]  DEFAULT (getdate()),
 CONSTRAINT [PK_CPT_HIST] PRIMARY KEY CLUSTERED 
(
	[CPT_HIST_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]

GO

ALTER TABLE [dbo].[CPT_HIST]  WITH NOCHECK ADD  CONSTRAINT [FK01_CPT_HIST] FOREIGN KEY([CREAT_BY_USER_ID])
REFERENCES [dbo].[LK_USER] ([USER_ID])
GO

ALTER TABLE [dbo].[CPT_HIST] CHECK CONSTRAINT [FK01_CPT_HIST]
GO

ALTER TABLE [dbo].[CPT_HIST]  WITH NOCHECK ADD  CONSTRAINT [FK02_CPT_HIST] FOREIGN KEY([CPT_ID])
REFERENCES [dbo].[CPT] ([CPT_ID])
GO

ALTER TABLE [dbo].[CPT_HIST] CHECK CONSTRAINT [FK02_CPT_HIST]
GO

ALTER TABLE [dbo].[CPT_HIST]  WITH NOCHECK ADD  CONSTRAINT [FK03_CPT_HIST] FOREIGN KEY([ACTN_ID])
REFERENCES [dbo].[LK_ACTN] ([ACTN_ID])
GO

ALTER TABLE [dbo].[CPT_HIST] CHECK CONSTRAINT [FK03_CPT_HIST]
GO


-- Table CPT_PRVSN to store the provisioning data from CPT form in COWS UI
CREATE TABLE [dbo].[CPT_PRVSN]
( 
	[CPT_PRVSN_ID] [int] IDENTITY(1,1) NOT FOR REPLICATION NOT NULL,
	[CPT_ID] [int] NOT NULL,
	[CPT_PRVSN_TYPE_ID] smallint NOT NULL,
	[PRVSN_STUS_CD] BIT NULL,
	[PRVSN_NTE_TXT] VARCHAR(2000) NULL,
	[SRVR_NME] VARCHAR(200) NULL,
	[CREAT_DT] [datetime] NOT NULL CONSTRAINT [DF_getdate_CPT_PRVSN_1]  DEFAULT (getdate()),
	[MODFD_DT] [datetime] NULL,
	[CREAT_BY_USER_ID] [int] NOT NULL,
	[MODFD_BY_USER_ID] [int] NULL,
	[REC_STUS_ID] [smallint] NOT NULL CONSTRAINT [DF_RECSTUSID_CPT_PRVSN_1]  DEFAULT ((301)),
 CONSTRAINT [PK_CPT_PRVSN] PRIMARY KEY CLUSTERED 
(
	[CPT_PRVSN_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO


ALTER TABLE [dbo].[CPT_PRVSN]
	ADD CONSTRAINT [FK01_CPT_PRVSN] FOREIGN KEY ([CPT_ID]) REFERENCES [dbo].[CPT]([CPT_ID])
		ON DELETE NO ACTION
		ON UPDATE NO ACTION
go

ALTER TABLE [dbo].[CPT_PRVSN]
	ADD CONSTRAINT [FK02_CPT_PRVSN] FOREIGN KEY ([CREAT_BY_USER_ID]) REFERENCES [dbo].[LK_USER]([USER_ID])
		ON DELETE NO ACTION
		ON UPDATE NO ACTION
go

ALTER TABLE [dbo].[CPT_PRVSN]
	ADD CONSTRAINT [FK03_CPT_PRVSN] FOREIGN KEY ([MODFD_BY_USER_ID]) REFERENCES [dbo].[LK_USER]([USER_ID])
		ON DELETE NO ACTION
		ON UPDATE NO ACTION
go

ALTER TABLE [dbo].[CPT_PRVSN]  WITH NOCHECK ADD  CONSTRAINT [FK04_CPT_PRVSN] FOREIGN KEY([CPT_PRVSN_TYPE_ID])
REFERENCES [dbo].[LK_CPT_PRVSN_TYPE] ([CPT_PRVSN_TYPE_ID])
GO

ALTER TABLE [dbo].[CPT_PRVSN] CHECK CONSTRAINT [FK04_CPT_PRVSN]
GO

ALTER TABLE [dbo].[CPT_PRVSN]  WITH NOCHECK ADD  CONSTRAINT [FK05_CPT_PRVSN] FOREIGN KEY([REC_STUS_ID])
REFERENCES [dbo].[LK_STUS] ([STUS_ID])
GO

ALTER TABLE [dbo].[CPT_PRVSN] CHECK CONSTRAINT [FK05_CPT_PRVSN]
GO


-- Table CPT_ODIE_RSPN to store the ODIE Response data from CPT form in COWS UI
CREATE TABLE [dbo].[CPT_ODIE_RSPN]
( 
	[CPT_ODIE_RSPN_ID] [int] IDENTITY(1,1) NOT FOR REPLICATION NOT NULL,
	[CPT_ID] [int] NOT NULL,
	[REQ_ID] int NOT NULL,
	[ASN_USR_ID] int NOT NULL,
	[ASN_USR_NME] VARCHAR(200) NOT NULL,
	[CREAT_DT] [datetime] NOT NULL CONSTRAINT [DF_getdate_CPT_ODIE_RSPN_1]  DEFAULT (getdate()),
	[REC_STUS_ID] [smallint] NOT NULL CONSTRAINT [DF_RECSTUSID_CPT_ODIE_RSPN_1]  DEFAULT ((1)),
 CONSTRAINT [PK_CPT_ODIE_RSPN] PRIMARY KEY CLUSTERED 
(
	[CPT_ODIE_RSPN_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO


ALTER TABLE [dbo].[CPT_ODIE_RSPN]
	ADD CONSTRAINT [FK01_CPT_ODIE_RSPN] FOREIGN KEY ([CPT_ID]) REFERENCES [dbo].[CPT]([CPT_ID])
		ON DELETE NO ACTION
		ON UPDATE NO ACTION
go

ALTER TABLE [dbo].[CPT_ODIE_RSPN]
	ADD CONSTRAINT [FK02_CPT_ODIE_RSPN] FOREIGN KEY ([REQ_ID]) REFERENCES [dbo].[ODIE_REQ]([REQ_ID])
		ON DELETE NO ACTION
		ON UPDATE NO ACTION
go



--ADD CPT_ID column to ODIE_REQ
ALTER TABLE [dbo].[ODIE_REQ]
ADD [CPT_ID] INT NULL

ALTER TABLE [dbo].[ODIE_REQ]
	ADD CONSTRAINT [FK05_ODIE_REQ] FOREIGN KEY ([CPT_ID]) REFERENCES [dbo].[CPT]([CPT_ID])
		ON DELETE NO ACTION
		ON UPDATE NO ACTION
go

--ADD CPT_QTY to LK_USER
ALTER TABLE [dbo].[LK_USER]
ADD [CPT_QTY] DECIMAL(20,3) NULL

--ADD CPT_QTY to LK_USER
ALTER TABLE [dbo].[USER_GRP_ROLE]
ADD [POOL_CD] BIT NULL

-- Table CPT_USER_ASMT to store the User assignments for each CPT_ID
CREATE TABLE [dbo].[CPT_USER_ASMT]
( 
	[CPT_USER_ASMT_ID] [int] IDENTITY(1,1) NOT FOR REPLICATION NOT NULL,
	[CPT_ID] [int] NOT NULL,
	[CPT_USER_ID] int NOT NULL,
	[ROLE_ID] tinyint NOT NULL,
	[REC_STUS_ID] tinyint NOT NULL,
	[CREAT_DT] [datetime] NOT NULL CONSTRAINT [DF_getdate_CPT_USER_ASMT_1]  DEFAULT (getdate()),
	[MODFD_DT] [datetime] NOT NULL CONSTRAINT [DF_getdate_CPT_USER_ASMT_2]  DEFAULT (getdate()),
	[CREAT_BY_USER_ID] [int] NOT NULL,
	[MODFD_BY_USER_ID] [int] NULL,
 CONSTRAINT [PK_CPT_USER_ASMT] PRIMARY KEY CLUSTERED 
(
	[CPT_USER_ASMT_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO

ALTER TABLE [dbo].[CPT_USER_ASMT]
	ADD CONSTRAINT [FK01_CPT_USER_ASMT] FOREIGN KEY ([CPT_ID]) REFERENCES [dbo].[CPT]([CPT_ID])
		ON DELETE NO ACTION
		ON UPDATE NO ACTION
go

ALTER TABLE [dbo].[CPT_USER_ASMT]
	ADD CONSTRAINT [FK02_CPT_USER_ASMT] FOREIGN KEY ([CREAT_BY_USER_ID]) REFERENCES [dbo].[LK_USER]([USER_ID])
		ON DELETE NO ACTION
		ON UPDATE NO ACTION
go

ALTER TABLE [dbo].[CPT_USER_ASMT]
	ADD CONSTRAINT [FK03_CPT_USER_ASMT] FOREIGN KEY ([MODFD_BY_USER_ID]) REFERENCES [dbo].[LK_USER]([USER_ID])
		ON DELETE NO ACTION
		ON UPDATE NO ACTION
go

ALTER TABLE [dbo].[CPT_USER_ASMT]
	ADD CONSTRAINT [FK04_CPT_USER_ASMT] FOREIGN KEY ([CPT_USER_ID]) REFERENCES [dbo].[LK_USER]([USER_ID])
		ON DELETE NO ACTION
		ON UPDATE NO ACTION
go

--
SET ANSI_NULLS OFF
GO
SET QUOTED_IDENTIFIER OFF
GO

IF EXISTS (SELECT 'X' FROM dbo.LK_USER WITH (NOLOCK) WHERE [user_id]=3)
BEGIN
	UPDATE dbo.LK_USER
	SET USER_ADID='NTEPool',
		USER_ACF2_ID='NTEPool',
		FULL_NME='NTE Pool',
		PHN_NBR='999-999-9999',
		EMAIL_ADR='cows@sprint.com',
		CELL_PHN_NBR=NULL,
		DSPL_NME=NULL,
		MGR_ADID='System'
	WHERE [user_id]=3		
END
ELSE
BEGIN
INSERT INTO [dbo].[LK_USER]
           ([USER_ID]
           ,[USER_ADID]
           ,[USER_ACF2_ID]
           ,[FULL_NME]
           ,[PHN_NBR]
           ,[EMAIL_ADR]
           ,[REC_STUS_ID]
           ,[CREAT_BY_USER_ID]
           ,[CREAT_DT]
		   ,[MGR_ADID])
     VALUES
           (3
           ,'NTEPool'
           ,'NTEPool'
           ,'NTE Pool'
           ,'999-999-9999'
           ,'cows@sprint.com'
		   ,1
		   ,1
		   ,GETDATE()
           ,'System')
END


--CPT_MNGD_AUTH table to store the CPT_ID and Managed Authentication Product's relation
CREATE TABLE [dbo].[CPT_MNGD_AUTH]
(
	[CPT_MNGD_AUTH_ID] [int] IDENTITY(1,1) NOT FOR REPLICATION NOT NULL,
	[CPT_ID] [int] NOT NULL,
	[CPT_MNGD_AUTH_PRD_ID] SMALLINT NOT NULL,
	[CREAT_DT] [datetime] NOT NULL CONSTRAINT [DF_getdate_CPT_MNGD_AUTH_1]  DEFAULT (getdate()),
 CONSTRAINT [PK_CPT_MNGD_AUTH] PRIMARY KEY CLUSTERED 
(
	[CPT_MNGD_AUTH_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO

ALTER TABLE [dbo].[CPT_MNGD_AUTH]  WITH NOCHECK ADD  CONSTRAINT [FK01_CPT_MNGD_AUTH] FOREIGN KEY([CPT_MNGD_AUTH_PRD_ID])
REFERENCES [dbo].[LK_CPT_MNGD_AUTH_PRD] ([CPT_MNGD_AUTH_PRD_ID])
GO

ALTER TABLE [dbo].[CPT_MNGD_AUTH] CHECK CONSTRAINT [FK01_CPT_MNGD_AUTH]
GO

ALTER TABLE [dbo].[CPT_MNGD_AUTH]  WITH NOCHECK ADD  CONSTRAINT [FK02_CPT_MNGD_AUTH] FOREIGN KEY([CPT_ID])
REFERENCES [dbo].[CPT] ([CPT_ID])
GO

ALTER TABLE [dbo].[CPT_MNGD_AUTH] CHECK CONSTRAINT [FK02_CPT_MNGD_AUTH]
GO

/*
USE COWS
GO

ALTER TABLE dbo.CPT
ADD [COMPNY_NME] [varbinary](max) NULL
GO

OPEN SYMMETRIC KEY FS@K3y 
DECRYPTION BY CERTIFICATE S3cFS@CustInf0;
	

UPDATE dbo.CPT
SET [COMPNY_NME] = dbo.encryptString(CMPNY_NME)
GO

ALTER TABLE dbo.CPT
DROP COLUMN [CMPNY_NME]
GO

*/

CREATE NONCLUSTERED INDEX [IX01_CPT] ON [dbo].[CPT]
(
	[H1] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
GO

CREATE NONCLUSTERED INDEX [IX02_CPT] ON [dbo].[CPT]
(
	[CPT_STUS_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
GO

CREATE NONCLUSTERED INDEX [IX03_CPT] ON [dbo].[CPT]
(
	[CUST_SHRT_NME] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
GO

CREATE NONCLUSTERED INDEX [IX01_CPT_HIST] ON [dbo].[CPT_HIST]
(
	[CPT_ID] ASC
)
INCLUDE ( [ACTN_ID])
	WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
GO

CREATE NONCLUSTERED INDEX [IX01_CPT_PRVSN] ON [dbo].[CPT_PRVSN]
(
	[PRVSN_STUS_CD] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
GO

CREATE NONCLUSTERED INDEX [IX02_CPT_PRVSN] ON [dbo].[CPT_PRVSN]
(
	[CPT_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
GO

CREATE NONCLUSTERED INDEX [IX01_CPT_USER_ASMT] ON [dbo].[CPT_USER_ASMT]
(
	[CPT_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
GO


ALTER TABLE dbo.EMAIL_REQ
ADD CPT_ID INT NULL
GO

ALTER TABLE [dbo].[EMAIL_REQ]  WITH NOCHECK ADD  CONSTRAINT [FK07_EMAIL_REQ] FOREIGN KEY([CPT_ID])
REFERENCES [dbo].[CPT] ([CPT_ID])
GO

ALTER TABLE [dbo].[EMAIL_REQ] CHECK CONSTRAINT [FK07_EMAIL_REQ]
GO


USE [COWS]
GO

IF  EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[dbo].[FK01_LK_CPT_MVS_PROD_TYPE]') AND parent_object_id = OBJECT_ID(N'[dbo].[LK_CPT_MVS_PROD_TYPE]'))
ALTER TABLE [dbo].[LK_CPT_MVS_PROD_TYPE] DROP CONSTRAINT [FK01_LK_CPT_MVS_PROD_TYPE]
GO

IF  EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[dbo].[FK02_LK_CPT_MVS_PROD_TYPE]') AND parent_object_id = OBJECT_ID(N'[dbo].[LK_CPT_MVS_PROD_TYPE]'))
ALTER TABLE [dbo].[LK_CPT_MVS_PROD_TYPE] DROP CONSTRAINT [FK02_LK_CPT_MVS_PROD_TYPE]
GO

IF  EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[dbo].[FK03_LK_CPT_MVS_PROD_TYPE]') AND parent_object_id = OBJECT_ID(N'[dbo].[LK_CPT_MVS_PROD_TYPE]'))
ALTER TABLE [dbo].[LK_CPT_MVS_PROD_TYPE] DROP CONSTRAINT [FK03_LK_CPT_MVS_PROD_TYPE]
GO

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[DF_RECSTUSID_LK_CPT_MVS_PROD_TYPE_1]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[LK_CPT_MVS_PROD_TYPE] DROP CONSTRAINT [DF_RECSTUSID_LK_CPT_MVS_PROD_TYPE_1]
END

GO

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[DF_getdate_LK_CPT_MVS_PROD_TYPE_1]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[LK_CPT_MVS_PROD_TYPE] DROP CONSTRAINT [DF_getdate_LK_CPT_MVS_PROD_TYPE_1]
END

GO

USE [COWS]
GO

/****** Object:  Table [dbo].[LK_CPT_MVS_PROD_TYPE]    Script Date: 11/23/2016 11:40:44 ******/
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[LK_CPT_MVS_PROD_TYPE]') AND type in (N'U'))
DROP TABLE [dbo].[LK_CPT_MVS_PROD_TYPE]
GO

USE [COWS]
GO

/****** Object:  Table [dbo].[LK_CPT_MVS_PROD_TYPE]    Script Date: 11/23/2016 11:40:46 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

SET ANSI_PADDING ON
GO

CREATE TABLE [dbo].[LK_CPT_MVS_PROD_TYPE](
	[CPT_MVS_PROD_TYPE_ID] [smallint] NOT NULL,
	[CPT_MVS_PROD_TYPE] [varchar](100) NOT NULL,
	[REC_STUS_ID] [tinyint] NOT NULL,
	[CREAT_BY_USER_ID] [int] NOT NULL,
	[MODFD_BY_USER_ID] [int] NULL,
	[CREAT_DT] [smalldatetime] NOT NULL,
	[MODFD_DT] [smalldatetime] NULL,
 CONSTRAINT [PK_LK_CPT_MVS_PROD_TYPE] PRIMARY KEY CLUSTERED 
(
	[CPT_MVS_PROD_TYPE_ID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY],
 CONSTRAINT [UX01_LK_CPT_MVS_PROD_TYPE] UNIQUE NONCLUSTERED 
(
	[CPT_MVS_PROD_TYPE] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]

GO

SET ANSI_PADDING OFF
GO

ALTER TABLE [dbo].[LK_CPT_MVS_PROD_TYPE]  WITH NOCHECK ADD  CONSTRAINT [FK01_LK_CPT_MVS_PROD_TYPE] FOREIGN KEY([REC_STUS_ID])
REFERENCES [dbo].[LK_REC_STUS] ([REC_STUS_ID])
GO

ALTER TABLE [dbo].[LK_CPT_MVS_PROD_TYPE] CHECK CONSTRAINT [FK01_LK_CPT_MVS_PROD_TYPE]
GO

ALTER TABLE [dbo].[LK_CPT_MVS_PROD_TYPE]  WITH NOCHECK ADD  CONSTRAINT [FK02_LK_CPT_MVS_PROD_TYPE] FOREIGN KEY([MODFD_BY_USER_ID])
REFERENCES [dbo].[LK_USER] ([USER_ID])
GO

ALTER TABLE [dbo].[LK_CPT_MVS_PROD_TYPE] CHECK CONSTRAINT [FK02_LK_CPT_MVS_PROD_TYPE]
GO

ALTER TABLE [dbo].[LK_CPT_MVS_PROD_TYPE]  WITH NOCHECK ADD  CONSTRAINT [FK03_LK_CPT_MVS_PROD_TYPE] FOREIGN KEY([CREAT_BY_USER_ID])
REFERENCES [dbo].[LK_USER] ([USER_ID])
GO

ALTER TABLE [dbo].[LK_CPT_MVS_PROD_TYPE] CHECK CONSTRAINT [FK03_LK_CPT_MVS_PROD_TYPE]
GO

ALTER TABLE [dbo].[LK_CPT_MVS_PROD_TYPE] ADD  CONSTRAINT [DF_RECSTUSID_LK_CPT_MVS_PROD_TYPE_1]  DEFAULT ((1)) FOR [REC_STUS_ID]
GO

ALTER TABLE [dbo].[LK_CPT_MVS_PROD_TYPE] ADD  CONSTRAINT [DF_getdate_LK_CPT_MVS_PROD_TYPE_1]  DEFAULT (getdate()) FOR [CREAT_DT]
GO


USE [COWS]
GO

IF  EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[dbo].[FK01_CPT_MVS_PROD]') AND parent_object_id = OBJECT_ID(N'[dbo].[CPT_MVS_PROD]'))
ALTER TABLE [dbo].[CPT_MVS_PROD] DROP CONSTRAINT [FK01_CPT_MVS_PROD]
GO

IF  EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[dbo].[FK02_CPT_MVS_PROD]') AND parent_object_id = OBJECT_ID(N'[dbo].[CPT_MVS_PROD]'))
ALTER TABLE [dbo].[CPT_MVS_PROD] DROP CONSTRAINT [FK02_CPT_MVS_PROD]
GO

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[DF_getdate_CPT_MVS_PROD_1]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[CPT_MVS_PROD] DROP CONSTRAINT [DF_getdate_CPT_MVS_PROD_1]
END

GO

USE [COWS]
GO

/****** Object:  Table [dbo].[CPT_MVS_PROD]    Script Date: 11/23/2016 11:42:41 ******/
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[CPT_MVS_PROD]') AND type in (N'U'))
DROP TABLE [dbo].[CPT_MVS_PROD]
GO

USE [COWS]
GO

/****** Object:  Table [dbo].[CPT_MVS_PROD]    Script Date: 11/23/2016 11:42:42 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE TABLE [dbo].[CPT_MVS_PROD](
	[CPT_MVS_PROD_ID] [int] IDENTITY(1,1) NOT FOR REPLICATION NOT NULL,
	[CPT_ID] [int] NOT NULL,
	[CPT_MVS_PROD_TYPE_ID] [smallint] NOT NULL,
	[CREAT_DT] [datetime] NOT NULL,
 CONSTRAINT [PK_CPT_MVS_PROD] PRIMARY KEY CLUSTERED 
(
	[CPT_MVS_PROD_ID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]

GO

ALTER TABLE [dbo].[CPT_MVS_PROD]  WITH NOCHECK ADD  CONSTRAINT [FK01_CPT_MVS_PROD] FOREIGN KEY([CPT_MVS_PROD_TYPE_ID])
REFERENCES [dbo].[LK_CPT_MVS_PROD_TYPE] ([CPT_MVS_PROD_TYPE_ID])
GO

ALTER TABLE [dbo].[CPT_MVS_PROD] CHECK CONSTRAINT [FK01_CPT_MVS_PROD]
GO

ALTER TABLE [dbo].[CPT_MVS_PROD]  WITH NOCHECK ADD  CONSTRAINT [FK02_CPT_MVS_PROD] FOREIGN KEY([CPT_ID])
REFERENCES [dbo].[CPT] ([CPT_ID])
GO

ALTER TABLE [dbo].[CPT_MVS_PROD] CHECK CONSTRAINT [FK02_CPT_MVS_PROD]
GO

ALTER TABLE [dbo].[CPT_MVS_PROD] ADD  CONSTRAINT [DF_getdate_CPT_MVS_PROD_1]  DEFAULT (getdate()) FOR [CREAT_DT]
GO


